<div class="col-lg-6" *ngIf="identity && identity.role == 'ROLE_ADMIN'">

	<h1>{{ titulo }}</h1>

	<form #formSong="ngForm" (ngSubmit)="onSubmit()">
		<p>
			<label>Título:</label>
			<input type="text" name="name" #name="ngModel" [(ngModel)]="song.name" required class="form-control">
			<span *ngIf="!name.valid && name.touched">*</span>
		</p>
		<p>
			<label>Duración:</label>
			<input type="text" name="duration" #duration="ngModel" [(ngModel)]="song.duration" required class="form-control">
			<span *ngIf="!duration.valid && duration.touched">*</span>
		</p>
		<p>
			<label>Número:</label>
			<input type="text" name="number" #number="ngModel" [(ngModel)]="song.number" required class="form-control">
			<span *ngIf="!number.valid && number.touched">*</span>
		</p>

		
		<div *ngIf="is_edit">
			<div *ngIf="song.fileURL && song.fileURL != 'null'">
				<audio controls>
					<source src="{{ song.fileURL }}" type="audio/mpeg"/> Tu navegador no soporta la reproducción de audio
				</audio>
			</div>

			<p>
			<label>Elegí la canción:</label>
			<input type="file" placeholder="Subir fichero" (change)="fileChangeEvent($event)">
			</p>
		</div>

		<input type="submit" value="{{ titulo }}" [disabled]="!formSong.form.valid" class="btn btn-success">
	</form>

</div>